org.icefaces.ace.component.videoplayer

## Enum VideoPlayerBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<VideoPlayerBase.PropertyKeys>
  - - org.icefaces.ace.component.videoplayer.VideoPlayerBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoPlayerBase.PropertyKeys>
  Enclosing class:
    VideoPlayerBase

      protected static enum VideoPlayerBase.PropertyKeys
      extends java.lang.Enum<VideoPlayerBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `autoplay`
    `controls`
    `height`
    `library`
    `linkLabel`
    `loop`
    `muted`
    `name`
    `playsinline`
    `poster`
    `preload`
    `scope`
    `srcAttribute`
    `style`
    `styleClass`
    `type`
    `url`
    `value`
    `width`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static VideoPlayerBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoPlayerBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final VideoPlayerBase.PropertyKeys accesskey

    - #### autoplay

          public static final VideoPlayerBase.PropertyKeys autoplay

    - #### controls

          public static final VideoPlayerBase.PropertyKeys controls

    - #### height

          public static final VideoPlayerBase.PropertyKeys height

    - #### library

          public static final VideoPlayerBase.PropertyKeys library

    - #### linkLabel

          public static final VideoPlayerBase.PropertyKeys linkLabel

    - #### loop

          public static final VideoPlayerBase.PropertyKeys loop

    - #### muted

          public static final VideoPlayerBase.PropertyKeys muted

    - #### name

          public static final VideoPlayerBase.PropertyKeys name

    - #### playsinline

          public static final VideoPlayerBase.PropertyKeys playsinline

    - #### poster

          public static final VideoPlayerBase.PropertyKeys poster

    - #### preload

          public static final VideoPlayerBase.PropertyKeys preload

    - #### scope

          public static final VideoPlayerBase.PropertyKeys scope

    - #### style

          public static final VideoPlayerBase.PropertyKeys style

    - #### styleClass

          public static final VideoPlayerBase.PropertyKeys styleClass

    - #### type

          public static final VideoPlayerBase.PropertyKeys type

    - #### url

          public static final VideoPlayerBase.PropertyKeys url

    - #### value

          public static final VideoPlayerBase.PropertyKeys value

    - #### width

          public static final VideoPlayerBase.PropertyKeys width

    - #### srcAttribute

          public static final VideoPlayerBase.PropertyKeys srcAttribute

  - ### Method Detail

    - #### values

          public static VideoPlayerBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoPlayerBase.PropertyKeys c : VideoPlayerBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoPlayerBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<VideoPlayerBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.